Bug 604247 - SELinux is preventing /usr/bin/perl access to a leaked /tmp/.NSPR-AFM-3516-247da78.0 (deleted) file descriptor.
SELinux is preventing /usr/bin/perl access to a leaked /tmp/.NSPR-AFM-3516-24...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:9a0efee265a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 13:31 EDT by Martin Gradwell
Modified: 2010-07-06 13:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-33.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-06 13:08:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Gradwell 2010-06-15 13:31:15 EDT
Summary:

SELinux is preventing /usr/bin/perl access to a leaked
/tmp/.NSPR-AFM-3516-247da78.0 (deleted) file descriptor.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by the check command. It looks like this is
either a leaked descriptor or check output was redirected to a file it is not
allowed to access. Leaks usually can be ignored since SELinux is just closing
the leak and reporting the error. The application does not use the descriptor,
so it will run properly. If this is a redirection, you will not get output in
the /tmp/.NSPR-AFM-3516-247da78.0 (deleted). You should generate a bugzilla on
selinux-policy, and it will get routed to the appropriate package. You can
safely ignore this avc.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385)

Additional Information:

Source Context                system_u:system_r:httpd_w3c_validator_script_t:s0
Target Context                system_u:object_r:httpd_tmp_t:s0
Target Objects                /tmp/.NSPR-AFM-3516-247da78.0 (deleted) [ file ]
Source                        check
Source Path                   /usr/bin/perl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           perl-5.10.1-112.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-23.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   leaks
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.5-112.fc13.i686 #1 SMP Thu
                              May 27 03:11:56 UTC 2010 i686 i686
Alert Count                   3
First Seen                    Tue 15 Jun 2010 12:32:18 AM BST
Last Seen                     Tue 15 Jun 2010 01:43:43 AM BST
Local ID                      bf5a897c-106d-4ea1-9834-64edeec9fe1b
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1276562623.199:25214): avc:  denied  { read write } for  pid=4089 comm="check" path=2F746D702F2E4E5350522D41464D2D333531362D323437646137382E30202864656C6574656429 dev=dm-0 ino=16327 scontext=system_u:system_r:httpd_w3c_validator_script_t:s0 tcontext=system_u:object_r:httpd_tmp_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1276562623.199:25214): arch=40000003 syscall=11 success=yes exit=0 a0=2689a30 a1=272f740 a2=272f750 a3=272fcf0 items=0 ppid=3629 pid=4089 auid=4294967295 uid=48 gid=489 euid=48 suid=48 fsuid=48 egid=489 sgid=489 fsgid=489 tty=(none) ses=4294967295 comm="check" exe="/usr/bin/perl" subj=system_u:system_r:httpd_w3c_validator_script_t:s0 key=(null)



Hash String generated from  leaks,check,httpd_w3c_validator_script_t,httpd_tmp_t,file,read,write
audit2allow suggests:

#============= httpd_w3c_validator_script_t ==============
allow httpd_w3c_validator_script_t httpd_tmp_t:file { read write };
Comment 1 Daniel Walsh 2010-06-15 16:54:30 EDT
apache_dontaudit_rw_tmp_files(httpd_w3c_validator_script_t)
Comment 2 Miroslav Grepl 2010-06-16 10:52:59 EDT
Fixed in selinux-policy-3.7.19-30.fc13
Comment 3 Fedora Update System 2010-06-30 15:54:02 EDT
selinux-policy-3.7.19-33.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-33.fc13
Comment 4 Fedora Update System 2010-07-01 14:47:50 EDT
selinux-policy-3.7.19-33.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-33.fc13
Comment 5 Fedora Update System 2010-07-06 13:06:18 EDT
selinux-policy-3.7.19-33.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.